spec:
  inputs:
    gitlab_trigger_token:
      type: string
      description: The GitLab trigger token that allows triggering the pipeline in another project.
    project_directory:
      type: string
      description: The directory of the gitops-project that include the values.yaml and Chart.yaml.
    target_project:
      type: number
      description: The ID of the project of the gitops-project that includes the configurations.
    image_tag_path:
      type: string
      description: The path of the image tag to be replaced in the gitops-project values.yaml (e.g., project.image.tag).
    branch:
      type: string
      description: The branch where the pipeline will be triggered.
    
---

gitops-pullToHelm:
  script:
    - echo "send the collected information to the gitops-project in $[[inputs.target_project]]"
    - >
      curl 
      --request POST
      --form token=$[[inputs.gitlab_trigger_token]]
      --form ref=$[[inputs.branch]]
      --form "variables[DOCKER_TAG]=${DOCKER_TAG}"
      --form "variables[PROJECT_DIR]=$[[inputs.project_directory]]"
      --form "variables[IMAGE_TAG_PATH]=$[[inputs.image_tag_path]]"
      "https://${CI_SERVER_FQDN}/api/v4/projects/$[[inputs.target_project]]/trigger/pipeline"
